OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_OffsetSurface Class Reference

`#include <StepGeom_OffsetSurface.hxx>`

Inheritance diagram for StepGeom_OffsetSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_OffsetSurface ()
| Returns a OffsetSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Standard_Real aDistance, const StepData_Logical aSelfIntersect)
Standard_EXPORT void | SetBasisSurface (const Handle(StepGeom_Surface)&aBasisSurface)
Standard_EXPORT Handle_StepGeom_Surface | BasisSurface () const
Standard_EXPORT void | SetDistance (const Standard_Real aDistance)
Standard_EXPORT Standard_Real | Distance () const
Standard_EXPORT void | SetSelfIntersect (const StepData_Logical aSelfIntersect)
Standard_EXPORT StepData_Logical | SelfIntersect () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | basisSurface
Standard_Real | distance
StepData_Logical | selfIntersect

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_OffsetSurface::StepGeom_OffsetSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepGeom_OffsetSurface::BasisSurface | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_OffsetSurface::Distance | ( |  | ) | const

Standard_EXPORT const StepGeom_OffsetSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface.

virtual Standard_EXPORT void StepGeom_OffsetSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Standard_Real | aDistance,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_OffsetSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT StepData_Logical StepGeom_OffsetSurface::SelfIntersect | ( |  | ) | const

Standard_EXPORT void StepGeom_OffsetSurface::SetBasisSurface | ( | const Handle(StepGeom_Surface)& | aBasisSurface | ) |

Standard_EXPORT void StepGeom_OffsetSurface::SetDistance | ( | const Standard_Real | aDistance | ) |

Standard_EXPORT void StepGeom_OffsetSurface::SetSelfIntersect | ( | const StepData_Logical | aSelfIntersect | ) |

## Field Documentation

Handle_StepGeom_Surface StepGeom_OffsetSurface::basisSurface`[private]`

Standard_Real StepGeom_OffsetSurface::distance`[private]`

StepData_Logical StepGeom_OffsetSurface::selfIntersect`[private]`

The documentation for this class was generated from the following file:

- StepGeom_OffsetSurface.hxx